import * as t from '@babel/types';
import type { NodePath, PluginPass, ConfigAPI } from '@babel/core';
import type { ProcessorConfig } from './Processor';
import type { Env } from './types';
declare type FilenameGetter = string | ((code?: string) => string);
declare type FilepathGetter = string | ((filename: string) => string);
declare type ExtractCSSType = boolean | 'production' | 'development';
export declare type OutputOptions = {
    cssFilename: FilenameGetter;
    cssFilepath: FilepathGetter;
    jsFilename: FilenameGetter;
    jsFilepath: FilepathGetter;
    relativeEntryPath: boolean;
    extractCSS: ExtractCSSType;
    unstable__inline: boolean;
};
export declare function getEnv(babel: ConfigAPI): Env;
export declare function output({ env, state, config: { cssFilename, cssFilepath, }, }: {
    env: Env;
    state: PluginPass;
    config?: Partial<OutputOptions>;
}): void;
export declare const createProcessors: (config: ProcessorConfig, options: {
    env: Env;
}) => {
    handlers: {
        css: (path: NodePath<t.MemberExpression | t.CallExpression>, { mixin }?: {
            mixin?: boolean | undefined;
        }) => void;
        mixin: (path: any) => void;
    };
    finish(): {
        isStatic: boolean;
    };
};
export {};
