"use strict";function _interopDefault(e){return e&&"object"==typeof e&&"default"in e?e.default:e}Object.defineProperty(exports,"__esModule",{value:!0});var t=require("@babel/types"),standalone=require("@babel/standalone"),register=require("@babel/register"),register__default=_interopDefault(register),evaluatePath=_interopDefault(require("babel-helper-evaluate-path")),resolve=_interopDefault(require("resolve")),path=_interopDefault(require("path")),taddy=require("taddy"),tsPreset=_interopDefault(require("@babel/preset-typescript")),reactPreset=_interopDefault(require("@babel/preset-react")),envPreset=_interopDefault(require("@babel/preset-env")),core=require("@taddy/core"),fs=_interopDefault(require("fs"));function _extends(){return(_extends=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var r=arguments[t];for(var n in r)Object.prototype.hasOwnProperty.call(r,n)&&(e[n]=r[n])}return e}).apply(this,arguments)}function _objectWithoutPropertiesLoose(e,t){if(null==e)return{};var r,n,i={},s=Object.keys(e);for(n=0;n<s.length;n++)t.indexOf(r=s[n])>=0||(i[r]=e[r]);return i}const MACRO_NAME="taddy.macro",PACKAGE_NAME="taddy";function getRootDir(){return process.cwd()}function getCacheDir(){return __dirname}const cache=new WeakMap;class BindingError extends Error{}function addBinding(e,t,r){e.set(t,(e.get(t)||new Set).add(r))}function isFunctionArgument(e){let t=3;for(;t>=0;){if("params"===e.listKey&&e.parentPath.isFunction())return!0;t--}return!1}function findBindings(e){function t(t,r,i){r.parentPath.isMemberExpression()?r=r.parentPath.get("object"):r.parentPath.isObjectPattern()&&(r=r.parentPath.parentPath);const{parentPath:s,node:o}=r;if(!(s.isExpression()||s.isSpreadElement()||s.isObjectProperty()&&(s.node.value===o||s.node.computed)))return;if(!("name"in o)||"string"!=typeof o.name)return;const{name:a}=o,c=e.scope.getBinding(a),p=t.scope.getBinding(a);if(!p)return;if(c!==p)return;if(p.constantViolations.length>0)throw new BindingError("CONSTANT VIOLATION");const{path:l}=p;if(i.has(p))addBinding(i,p,r);else{if(isFunctionArgument(l))throw new BindingError("FUNCTION ARGUMENT");if("params"!==l.listKey&&addBinding(i,p,r),!l.isImportSpecifier())for(let[e,t]of n(l))t.forEach(t=>{addBinding(i,e,t)})}}const r=new Set;function n(e){if(e.isObjectPattern(),cache.has(e))return cache.get(e);const n=new Map;return r.has(e)||(r.add(e),e.isIdentifier()&&t(e,e,n),e.traverse({Identifier(r){t(e,r,n)}}),cache.set(e,n)),n}return n(e)}function getPathsByBindings(e){const t=new Set;for(let r of e.keys())r.path.isImportSpecifier()||r.path.isVariableDeclarator()?t.add(r.path.parentPath):t.add(r.path);return t}function buildCodeByPath(e){return Array.from(getPathsByBindings(findBindings(e))).sort((e,t)=>e.node.start-t.node.start).map(e=>e.toString()).join("\n")}standalone.registerPreset("@babel/preset-typescript",tsPreset),standalone.registerPreset("@babel/preset-react",reactPreset),standalone.registerPreset("@babel/preset-env",envPreset);const DEFAULT_PRESETS=[["@babel/preset-typescript",{allExtensions:!0,isTSX:!0}],"@babel/preset-react",["@babel/preset-env",{targets:{node:"current"}}]],EXTENSIONS=[".es6",".es",".tsx",".ts",".jsx",".js",".mjs"],macroRe=new RegExp(MACRO_NAME.replace(".","\\."),"g"),EVAL_FILENAME_POSTFIX="@__TADDY_EVALUATE__",nodeRequire=new Function("require","return typeof require !== 'undefined'\n        ? require\n        : (typeof globalThis !== 'undefined' ? globalThis : global).require; ")(module.require);function isTaddyEvaluation(e){return e.filename.includes(EVAL_FILENAME_POSTFIX)}function evaluate(e){const t=evaluatePath(e);if(t.confident)return{value:t.value};let r="",n="";try{const t="__taddy__";r=buildCodeByPath(e).replace(macroRe,PACKAGE_NAME).concat(`\n\n;${t}(${e.toString()})`);const{opts:i}=e.hub.file,s=path.extname(i.filename),o=path.basename(i.filename,s),a=path.dirname(i.filename),c={babelrc:!1,configFile:!1,filename:path.join(a,o+EVAL_FILENAME_POSTFIX+s),plugins:[],presets:[...DEFAULT_PRESETS]};if(({code:n}=standalone.transform(r,c)||{}),!n)return{};const p=new Function("require",t,n);let l;return register__default(_extends({},c,{extensions:EXTENSIONS})),p(e=>{if(e===PACKAGE_NAME)return taddy;const t=resolve.sync(e,{extensions:EXTENSIONS,basedir:path.dirname(i.filename)});return nodeRequire(t)},e=>{l=e}),register.revert(),{value:l}}catch(e){return{error:e}}}function getObjectPropertyKey(e){return e.isIdentifier()?e.node.name:e.isLiteral()&&"value"in e.node?String(e.node.value):null}function mergeObjectProperties(e){const r=new Map;function n(e,t){r.delete(e),r.set(e,t)}for(const r of e){if(!t.isObjectProperty(r)){n(r,r);continue}const{key:e}=r;t.isIdentifier(e)?n(e.name,r):t.isStringLiteral(e)?n(e.value,r):n(r,r)}return Array.from(r.values())}function mergeObjects(e){const t=[];return e.forEach(e=>{t.push(...e.properties)}),mergeObjectProperties(t)}function isTaddy(e){const{path:t}=e;return!!t.isImportSpecifier()&&("taddy"===t.parentPath.node.source.value&&"css"===t.node.imported.name||"mixin"===t.node.imported.name)}function optimizeBindings(e,{}={}){let t;try{t=findBindings(e)}catch(e){return}for(let[e]of t)isTaddy(e)||optimizeBindings(e.path);for(let[e,r]of t){if(isTaddy(e))continue;if(e.path.removed)continue;if(e.references>r.size)continue;if(e.references<r.size)continue;const{parentPath:t}=e.path,n=t.isImportDeclaration()&&0===t.node.specifiers.length;e.path.remove(),n&&t.remove()}}function optimizeStaticStyles(e){const r=[],n=[],i=[];for(const s of e.get("properties")){if(!s.isObjectProperty())throw new Error("Cant optimize this path");const e=getObjectPropertyKey(s.get("key"));if(!e)return;const o=s.get("value");"className"!==e?"style"!==e&&e!==core.VARS_KEY?o.isStringLiteral()?r.push(e+o.node.value):o.isBooleanLiteral()?r.push(e):n.push(t.binaryExpression("+",t.stringLiteral(e),o.node)):i.push(s.node):n.push(o.node)}let s=t.stringLiteral(r.join(" "));if(0!==n.length){s.value+=s.value?" ":"";const e=s,r=1===n.length?n[0]:t.templateLiteral([t.templateElement({raw:""})].concat([...Array(n.length-1)].fill(t.templateElement({raw:" "}))).concat(t.templateElement({raw:""})),n);s=t.binaryExpression("+",e,r)}0!==i.length?e.node.properties=i.concat(t.objectProperty(t.identifier("className"),s)):e.replaceWith(s)}function getType(e){return null==e?void 0:e.getTypeAtLocation(e.getDeclarations()[0])}class DynamicType{constructor({value:e,type:t}){this.value=e,this.type=t}}class UnionType extends Array{}function isRecord(e){var t;return"Record"===(null==e||null===(t=e.getAliasSymbol())||void 0===t?void 0:t.getEscapedName())}const STATIC_KEY=Symbol("__TADDY_STATIC_KEY__");function isStaticValue(e){return!e||"object"!=typeof e||!(e instanceof UnionType)&&(e[STATIC_KEY]||!1)}function filterValue(e){return String(e).startsWith("-")}function parseValue(e){var t;if(!e)return null;if(e.isAny()||e.isUnknown())return new DynamicType({value:null,type:e});if(isRecord(e))return parseRecord(e);if(e.isArray())return parseArray(e);if(e.isUnion())return new UnionType(...e.getUnionTypes().map(parseValue));if(e.isObject())return parseObject(e);let r=null==e?void 0:e.getText();if(!r||(null===(t=r)||void 0===t?void 0:t.includes("&")))return null;try{r=JSON.parse(r)}catch(t){return new DynamicType({value:r,type:e})}return filterValue(r)?null:r}function parseMixinParameters(e){return parseValue(getType(e))}function parseMixin(e){const t=getType(e);return 0===(null==t?void 0:t.getCallSignatures().length)?parseMixinParameters(e):null==t?void 0:t.getCallSignatures()[0].getParameters().map(parseMixinParameters)}function parseRecord(e){const[t,r]=e.getAliasTypeArguments(),n=parseValue(t),i=parseValue(r);return Array.isArray(n)?n.map(e=>({[e]:i,[STATIC_KEY]:i[STATIC_KEY]})):{[n]:i,[STATIC_KEY]:i[STATIC_KEY]}}function parseArray(e){const t=[];function r(e){const r=parseValue(e);if(!r)return;const n=isStaticValue(r);t[STATIC_KEY]=t[STATIC_KEY]&&n,t.push(n?r:new Set([].concat(r).filter(Boolean)))}t[STATIC_KEY]=!0;const n=e.getArrayElementTypeOrThrow();for(let e of n.getUnionTypes()||[n])r(e);return t}function parseObject(e){const t={};let r=!0;for(const i of null!==(n=null==e?void 0:e.getProperties())&&void 0!==n?n:[]){var n;const e=i.getEscapedName(),s=parseMixin(i);if(!s)continue;const o=isStaticValue(s);r=r&&o,t[e]=o?s:new Set([].concat(s).filter(Boolean))}return t[STATIC_KEY]=r,t}class TSProcessor{constructor(e){const{Project:t}=require("ts-morph");this.project=e instanceof t?e:new t(_extends({tsConfigFilePath:path.join(process.cwd(),"tsconfig.json")},e))}getTypeAtPos(e,t,r,n){let i=this.project.getSourceFile(e);return i&&i.getFullText()!==t?i.replaceText([0,i.getEnd()],t):i=this.project.createSourceFile(e,t,{overwrite:!0}),i.getDescendantAtStartWithWidth(r,n-r)}}function getLiteralValue(path){try{return eval(path.toString())}catch(e){return getLiteralValue.FAIL}}function getHashedName(e,{postfix:t}){return core.config.nameGenerator.getName(e,"",{postfix:t}).join("")}getLiteralValue.FAIL=Symbol("FAILED_VALUE");class Processor{constructor({config:e}){this.config=e,e.typescript&&(this.tsProject=new TSProcessor(!0===e.typescript?{}:e.typescript))}prepare({mixin:e}){this.mixin=e,this.isStatic=!1,this.variables=[],this.classNameNodes=new WeakSet,this.optimizationPaths=new Set}isClassNameNode(e){return this.classNameNodes.has(e)}classNamesToNode(e){const r=[];for(const n in e){const i=e[n],s=t.identifier(n),o="boolean"==typeof e[n]?t.booleanLiteral(i):t.stringLiteral(String(i)),a=t.objectProperty(s,o);this.classNameNodes.add(a),r.push(a)}return r}stylesToNode(e,t,{postfix:r=""}={}){const{className:n}=taddy.$css({[e]:t},{postfix:r});return this.classNamesToNode(n)}processPropertyValue(e,r,{postfix:n,properties:i}){const s=r.get("key"),o=r.get("value"),a=Symbol("STOP"),c=e=>{var t;const r=null===(t=this.tsProject)||void 0===t?void 0:t.getTypeAtPos(this.config.filename,this.config.code,e.node.start||0,e.node.end||0);if(r)return parseValue(r.getType())};(()=>{if(!o.isLiteral())return!1;const t=getLiteralValue(o);return t!==getLiteralValue.FAIL&&(i.push(...this.stylesToNode(e,t,{postfix:n})),!0)})()||(()=>{if(!o.isObjectExpression())return!1;this.process(o,{postfix:n+e});let r=[];for(const e of o.node.properties)this.isClassNameNode(e)?(r.length&&(i.push(t.objectProperty(s.node,t.objectExpression(r))),r=[]),i.push(e)):r.push(e);return r.length&&i.push(t.objectProperty(s.node,t.objectExpression(r))),!0})()||(()=>{if("composes"!==e||!o.isArrayExpression())return!1;if(""!==n)throw new Error("TADDY: composes could be used only on top level");for(const e of o.get("elements"))this.process(e);return!1})()||(()=>{if(!this.config.evaluate)return!1;const{value:t}=evaluate(o);return!!t&&(i.push(...this.stylesToNode(e,t,{postfix:n})),this.optimizationPaths.add(r),!0)})()||(()=>{if(!this.config.typescript)return!1;let s;if(s="composes"===e&&o.isArrayExpression()?(e=>{const t=[];t[STATIC_KEY]=!0;for(let r of e.get("elements")){if(!r)return;const e=c(r);if(e===a)return;t[STATIC_KEY]=t[STATIC_KEY]&&isStaticValue(e),t.push(e)}return t})(o):c(o),!s)return!1;if(isStaticValue(s))return i.push(...this.stylesToNode(e,s,{postfix:n})),this.optimizationPaths.add(r),!0;if("composes"===e)return!1;const p=[].concat(s);let l=!0;if(p.forEach(t=>{t instanceof DynamicType||!isStaticValue(t)?l=!1:taddy.$css({[e]:t},{postfix:n})}),!l)return!1;const u=getHashedName(e,{postfix:n});return i.push(t.objectProperty(t.identifier(u),t.callExpression(t.identifier("css.h"),[o.node]))),!0})()||(()=>{if(!this.config.CSSVariableFallback)return!1;if(this.mixin||"composes"===e||":"===e[0]||/[\W]/.test(e))return!1;const r="--"+getHashedName(e,{postfix:n});return this.variables.push(t.objectProperty(t.stringLiteral(r),o.node)),i.push(...this.stylesToNode(e,`var(${r})`,{postfix:n})),!0})()||i.push(r.node)}processObjectProperty(e,{postfix:r="",properties:n}){const i=e.get("key"),s=getObjectPropertyKey(i),o=()=>{if(!this.config.evaluate)return!1;const{value:s}=evaluate(i);return!(!s||"string"!=typeof s||(i.replaceWith(t.stringLiteral(s)),this.processPropertyValue(s,e,{postfix:r,properties:n}),0))};if("className"!==s&&"style"!==s&&null!==s)this.processPropertyValue(s,e,{postfix:r,properties:n});else{if(o())return;n.push(e.node)}}processSpreadElement(e,{postfix:t="",properties:r}){(()=>{if(!this.config.evaluate)return!1;const{value:n}=evaluate(e.get("argument"));if(!n)return!1;const{className:i}=taddy.$css(n,{postfix:t});return r.push(...this.classNamesToNode(i)),this.optimizationPaths.add(e),!0})()||(()=>{var n;if(!this.config.typescript)return!1;const{argument:i}=e.node,s=null===(n=this.tsProject)||void 0===n?void 0:n.getTypeAtPos(this.config.filename,this.config.code,i.start||0,i.end||0);if(!s)return!1;const o=parseValue(s.getType());if(!isStaticValue(o))return!1;const{className:a}=taddy.$css(o,{postfix:t});return r.push(...this.classNamesToNode(a)),this.optimizationPaths.add(e),!0})()||(this.process(e.get("argument")),r.push(e.node))}processLogicalExpression(e,t){this.process(e.get("left"),t),this.process(e.get("right"),t)}processObjectExpression(e,{postfix:t=""}){const r=[];for(const n of e.get("properties"))n.isObjectProperty()?this.processObjectProperty(n,{postfix:t,properties:r}):n.isSpreadElement()?this.processSpreadElement(n,{postfix:t,properties:r}):r.push(n.node);e.node.properties=mergeObjectProperties(r)}process(e,t={}){e.isLogicalExpression()?this.processLogicalExpression(e,t):e.isObjectExpression()&&this.processObjectExpression(e,t)}run(e,{mixin:r=!1}={}){const n=e.get("arguments"),i=n[0],s=[];let o=!0;for(let e of n)o=o&&e.isObjectExpression(),s.push(e.node);i.replaceWith(t.objectExpression(o?mergeObjects(s):[t.objectProperty(t.identifier("composes"),t.arrayExpression(s))])),e.node.arguments=[i.node];const a=i;if(!a.isObjectExpression())return null;this.prepare({mixin:r}),this.process(a),this.variables.length>0&&a.node.properties.push(t.objectProperty(t.identifier(core.VARS_KEY),t.objectExpression(this.variables)));const c=!this.mixin&&a.node.properties.every(e=>!!t.isObjectProperty(e)&&"name"in e.key&&("_"===e.key.name[0]||"className"===e.key.name||"style"===e.key.name||e.key.name===core.VARS_KEY));return c&&optimizeStaticStyles(a),{isStatic:c,optimizationPaths:this.optimizationPaths}}}let LAST_INDEX=0,STYLES=[];function getStylesState(){const{rules:e}=taddy.ruleInjector.styleSheet,t=e.slice(LAST_INDEX);LAST_INDEX=e.length;const r=[...t].map(e=>e.cssText||"");return STYLES.push(...r),{added:r,total:STYLES}}function resolveFilepath(e,...t){return"string"!=typeof e?e(...t):path.join(getRootDir(),e)}function getEnv(e){try{return e.env()}catch(e){}return process.env&&process.env.BABEL_ENV||"production"}function getMtime(e){return Number(fs.statSync(e).mtime)}const filesMap=new Map,contentMap=new Map;function readFileSync(e){let t="";try{const r=getMtime(e);if(filesMap.has(r))return filesMap.get(r);t=fs.readFileSync(e).toString(),filesMap.set(r,t),contentMap.set(t,r)}catch(e){}return t}function appendFile(e,t,r){contentMap.has(t+r)||fs.appendFile(e,r,e=>{e&&console.error(e)})}function output({config:{cssFilename:e=(()=>"taddy.css"),cssFilepath:t=((e="taddy.css")=>path.join(getCacheDir(),e))}={}}){const{added:r}=getStylesState(),n=resolveFilepath(e),i=resolveFilepath(t,n),s=readFileSync(i),o=r.filter(e=>!s.includes(e)).join("");appendFile(i,s,o)}function isPathRemoved(e){do{if(e.removed)return!0}while(e=e.parentPath);return!1}const createProcessors=(e,t)=>{const r=[],n=[],i=new Processor({config:e}),s={css:(e,{mixin:t=!1}={})=>{if(e.isMemberExpression()&&"name"in e.node.property&&"mixin"===e.node.property.name)return void r.push(e.parentPath);if(!e.isCallExpression())return;const s=i.run(e,{mixin:t});if(!s)return;const{isStatic:o,optimizationPaths:a}=s;n.push({isStatic:o,optimizationPaths:a})},mixin:e=>s.css(e,{mixin:!0})};return{handlers:s,finish(){let i=!1;if(e.optimizeBindings){i=!0;for(let e of n){i=i&&e.isStatic;for(let r of e.optimizationPaths)optimizeBindings(r,{env:t.env})}}for(let t of r)e.optimizeBindings&&isPathRemoved(t)||(i=!1,s.css(t,{mixin:!0}));return{isStatic:i}}}};function mapCompileOptions({filename:e,code:t,evaluate:r=!0,typescript:n=/\.tsx?$/.test(e),unstable_CSSVariableFallback:i=!0,unstable_optimizeBindings:s=!0}){return{filename:e,code:t,evaluate:r,typescript:n,CSSVariableFallback:i,optimizeBindings:s}}function macro({references:e,babel:r,state:n,config:i={}}){const{env:s=getEnv(r)}=i,o=_objectWithoutPropertiesLoose(i,["env"]);if(isTaddyEvaluation(n))return;const a=n.file.path,c=n.file.code,{filename:p}=n,{handlers:l,finish:u}=createProcessors(mapCompileOptions(_extends({},o.compileOptions,{filename:p,code:c})),{env:s});for(const t in e)l[t]&&e[t].forEach(e=>l[t](e.parentPath));let f;a.traverse({ImportDeclaration(e){const{node:r}=e;r.source.value!==PACKAGE_NAME&&r.source.value!==MACRO_NAME||(f=e,f.node.source=t.stringLiteral("taddy"),e.stop())}});const{isStatic:d}=u();return d&&f&&(f.node.source=t.stringLiteral("@taddy/core")),output({env:s,state:n,config:o.outputOptions}),{keepImports:!0}}function getImportNames(e){const t=e.node.local.name;return e.isImportSpecifier()?{localName:t,importedName:e.node.imported.name}:e.isImportDefaultSpecifier()?{localName:t,importedName:"default"}:{localName:t,importedName:"namespace"}}function findReferences(e){const t={};for(let r of e){const{localName:e,importedName:n}=getImportNames(r),i=r.scope.getBinding(e);(null==i?void 0:i.referencePaths)&&(t[n]=i.referencePaths)}return t}function plugin(e,t){const r=getEnv(e);return{name:"taddy",pre(){this.references={}},visitor:{ImportDeclaration(n,i){isTaddyEvaluation(i)||n.node.source.value===PACKAGE_NAME&&(Object.assign(this.references,findReferences(n.get("specifiers"))),(this.references.css||this.references.mixin)&&macro({references:this.references,babel:e,state:i,config:_extends({env:r},t)}))}}}}exports.default=plugin,exports.macro=macro;
//# sourceMappingURL=babel-plugin.cjs.production.min.js.map
